import * as Library from "../../library/library";
import { Guid } from "./guid";
/**
 * @class Base
 * @description Base level class
 */
var Base = (function () {
    function Base(options) {
        //
        // Create a Unique Guid
        //
        this.uid = Guid.NEW();
        this.id = Library.init(options, 'id', undefined);
        this.enabled = Library.init(options, 'enabled', true);
        this.visible = Library.init(options, 'visible', true);
        this.created = Library.init(options, 'created', new Date());
        this.updated = Library.init(options, 'updated', new Date());
    }
    return Base;
}());
export { Base };
//# sourceMappingURL=/Users/admin/Desktop/git/sandbox/typescript/src/model/common/base.js.map