import * as Library from "./library/library";
import { Name as Person } from "./model/common/name";
import { Table } from "./model/generic/table";
import { Column } from "./model/generic/column";
import { Option } from "./model/generic/option";
import * as $ from "jquery";
//
// people
//
var people = [
    new Person({
        id: 1,
        first: 'Shawn',
        last: 'Lovelidge'
    }),
    new Person({
        id: 2,
        first: 'Lisa',
        last: 'Weaver'
    }),
    new Person({
        id: 3,
        first: 'David',
        last: 'McDavid'
    }),
    new Person({
        id: 4,
        first: 'Miriam',
        last: 'Porter'
    })
];
//
// Define Table
//
var table = new Table(new Option({
    column: new Column({
        sortBy: 'last',
        orderBy: 'id'
    })
}), [
    new Column({ id: 0, field: 'id', label: 'Id', visible: true }),
    new Column({ id: 1, field: 'first', label: 'First', visible: true }),
    new Column({ id: 2, field: 'last', label: 'Last', visible: true }),
    new Column({ id: 3, field: 'created', label: 'Date Created', visible: true })
]);
//
// Document Ready
//
$(document).ready(function () {
    //
    // Debug Statement
    //
    console.log('TypeScript 2.0 Project');
    //
    // If Table Exist
    //
    if (Library.isDefined(table)) {
        table.items = people;
    }
});
//# sourceMappingURL=/Users/admin/Desktop/git/sandbox/typescript/src/index.js.map