import * as tslib_1 from "tslib";
import * as Library from '../../library/library';
import { Base } from './base';
var Name = (function (_super) {
    tslib_1.__extends(Name, _super);
    function Name(options) {
        var _this = _super.call(this, options) || this;
        _this.title = options && options.title || '';
        _this.suffix = options && options.suffix || '';
        _this.first = options && options.first || '';
        _this.last = options && options.last || '';
        _this.middle = options && options.middle || '';
        return _this;
    }
    Object.defineProperty(Name.prototype, "middle", {
        get: function () { return this._middle; },
        set: function (value) {
            if (Library.isDefined(value)) {
                value = value.replace(/\./g, '');
                if (value.length === 1)
                    value = value + '.';
            }
            this._middle = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Name.prototype, "suffix", {
        get: function () { return this._suffix; },
        set: function (value) {
            if (Library.isDefined(value)) {
                value = value.replace(/\./g, '');
                if (value.length > 0)
                    value = value + '.';
            }
            this._suffix = value;
        },
        enumerable: true,
        configurable: true
    });
    return Name;
}(Base));
export { Name };
//# sourceMappingURL=/Users/admin/Desktop/git/sandbox/typescript/src/model/common/name.js.map